## ros-noetic-tesseract-environment 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

# Extract package name and version
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

if(WIN32)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# System dependencies are found with CMake's conventions
find_package(Eigen3 REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(console_bridge REQUIRED)
find_package(tesseract_collision REQUIRED)
find_package(tesseract_kinematics REQUIRED)
find_package(tesseract_scene_graph REQUIRED)
find_package(tesseract_srdf REQUIRED)
find_package(tesseract_urdf REQUIRED)
find_package(tesseract_common REQUIRED)

if(NOT TARGET console_bridge::console_bridge)
  add_library(console_bridge::console_bridge INTERFACE IMPORTED)
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                  ${console_bridge_INCLUDE_DIRS})
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_LINK_LIBRARIES ${console_bridge_LIBRARIES})
else()
  get_target_property(CHECK_INCLUDE_DIRECTORIES console_bridge::console_bridge INTERFACE_INCLUDE_DIRECTORIES)
  if(NOT ${CHECK_INCLUDE_DIRECTORIES})
    set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                    ${console_bridge_INCLUDE_DIRS})
  endif()
endif()

# Load variable for clang tidy args, compiler options and cxx version
tesseract_variables()

initialize_code_coverage(ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
set(COVERAGE_EXCLUDE
    /usr/*
    /opt/*
    ${CMAKE_CURRENT_LIST_DIR}/test/*
    /*/gtest/*
    /*/bullet/LinearMath/*
    /*/bullet/BulletCollision/*)
add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

# Create interface for core
add_library(${PROJECT_NAME}_core src/core/environment.cpp src/core/manipulator_manager.cpp)
target_link_libraries(
  ${PROJECT_NAME}_core
  PUBLIC Eigen3::Eigen
         tesseract::tesseract_common
         tesseract::tesseract_collision_core
         tesseract::tesseract_collision_bullet
         tesseract::tesseract_collision_fcl
         tesseract::tesseract_scene_graph
         tesseract::tesseract_srdf
         tesseract::tesseract_urdf
         tesseract::tesseract_kinematics_kdl
         tesseract::tesseract_kinematics_opw)
target_compile_options(${PROJECT_NAME}_core PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_core PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_core PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_core ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_core PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_core
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_core PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                       "$<INSTALL_INTERFACE:include>")

add_library(${PROJECT_NAME}_kdl src/kdl/kdl_state_solver.cpp)
target_link_libraries(
  ${PROJECT_NAME}_kdl
  PUBLIC ${PROJECT_NAME}_core
         Eigen3::Eigen
         tesseract::tesseract_scene_graph
         orocos-kdl
         console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME}_kdl PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_kdl PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_kdl PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_kdl ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_kdl PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_kdl
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_kdl PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                      "$<INSTALL_INTERFACE:include>")

add_library(${PROJECT_NAME}_ofkt src/ofkt/ofkt_state_solver.cpp src/ofkt/ofkt_nodes.cpp)
target_link_libraries(
  ${PROJECT_NAME}_ofkt
  PUBLIC ${PROJECT_NAME}_core
         Eigen3::Eigen
         tesseract::tesseract_scene_graph
         console_bridge::console_bridge)
target_compile_options(${PROJECT_NAME}_ofkt PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_ofkt PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_ofkt PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_ofkt ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_ofkt PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_ofkt
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_ofkt PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                       "$<INSTALL_INTERFACE:include>")

configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME}_core ${PROJECT_NAME}_kdl ${PROJECT_NAME}_ofkt)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}
  DESTINATION include
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

if(TESSERACT_ENABLE_TESTING)
  enable_testing()
  add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
  add_subdirectory(test)
endif()

if(TESSERACT_ENABLE_BENCHMARKING)
  add_subdirectory(test/benchmarks)
endif()

if(TESSERACT_PACKAGE)
  tesseract_cpack(
    VERSION ${pkg_extracted_version}
    MAINTAINER <https://github.com/ros-industrial-consortium/tesseract>
    DESCRIPTION ${pkg_extracted_description}
    LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
    LINUX_DEPENDS
      "${TESSERACT_PACKAGE_PREFIX}tesseract-collision"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-geometry"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-kinematics"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-urdf"
      "libconsole-bridge-dev"
      "liborocos-kdl-dev"
      "libeigen3-dev"
    WINDOWS_DEPENDS
      "${TESSERACT_PACKAGE_PREFIX}tesseract-collision"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-geometry"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-kinematics"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-urdf"
      "console_bridge"
      "Eigen3")
endif()

=== test/CMakeLists.txt ===
find_package(GTest REQUIRED)
find_package(tesseract_support REQUIRED)
find_package(OpenMP REQUIRED)
if(OPENMP_FOUND)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
else(OPENMP_FOUND)
  message(STATUS "Not found OpenMP")
endif()

if(NOT TARGET GTest::GTest)
  add_library(GTest::GTest INTERFACE IMPORTED)
  set_target_properties(GTest::GTest PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_LIBRARIES})
    set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "gtest.lib")
    else()
      set_target_properties(GTest::GTest PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest.so")
    endif()
  endif()
endif()

if(NOT TARGET GTest::Main)
  add_library(GTest::Main INTERFACE IMPORTED)
  set_target_properties(GTest::Main PROPERTIES INTERFACE_INCLUDE_DIRECTORIES "${GTEST_INCLUDE_DIRS}")
  if(${GTEST_MAIN_LIBRARIES})
    set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "${GTEST_MAIN_LIBRARIES}")
  else()
    if(MSVC)
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "gtest_main.lib")
    else()
      set_target_properties(GTest::Main PROPERTIES INTERFACE_LINK_LIBRARIES "libgtest_main.so")
    endif()
  endif()
endif()

include(GoogleTest)

add_executable(${PROJECT_NAME}_unit tesseract_environment_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}_kdl
          ${PROJECT_NAME}_ofkt
          tesseract::tesseract_support
          tesseract::tesseract_urdf
          tesseract::tesseract_collision_bullet
          tesseract::tesseract_collision_fcl
          tesseract::tesseract_scene_graph)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME}_kdl)
add_dependencies(run_tests ${PROJECT_NAME}_unit)

add_executable(${PROJECT_NAME}_ofkt_unit tesseract_environment_ofkt_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_ofkt_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}_ofkt
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_ofkt_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                         ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_ofkt_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_ofkt_unit ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_ofkt_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_ofkt_unit
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_ofkt_unit)
add_dependencies(${PROJECT_NAME}_ofkt_unit ${PROJECT_NAME}_kdl)
add_dependencies(run_tests ${PROJECT_NAME}_ofkt_unit)

add_executable(${PROJECT_NAME}_manipulator_manager_unit tesseract_environment_manipulator_manager_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_manipulator_manager_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}_core
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_manipulator_manager_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                        ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_manipulator_manager_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_manipulator_manager_unit ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_manipulator_manager_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_manipulator_manager_unit
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_manipulator_manager_unit)
add_dependencies(${PROJECT_NAME}_manipulator_manager_unit ${PROJECT_NAME}_kdl)
add_dependencies(run_tests ${PROJECT_NAME}_manipulator_manager_unit)

add_executable(${PROJECT_NAME}_environment_collision tesseract_environment_collision.cpp)
target_link_libraries(
  ${PROJECT_NAME}_environment_collision
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}_kdl
          ${PROJECT_NAME}_ofkt
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_environment_collision PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                     ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_environment_collision PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_environment_collision ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS}
                  ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_environment_collision PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_environment_collision
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_environment_collision)
add_dependencies(${PROJECT_NAME}_environment_collision ${PROJECT_NAME}_kdl)
add_dependencies(run_tests ${PROJECT_NAME}_environment_collision)

=== test/benchmarks/CMakeLists.txt ===
find_package(benchmark REQUIRED)
find_package(tesseract_support REQUIRED)

macro(add_benchmark benchmark_name benchmark_file)
  add_executable(${benchmark_name} ${benchmark_file})
  target_compile_definitions(${benchmark_name} PRIVATE BENCHMARK_ARGS="${BENCHMARK_ARGS}")
  target_compile_options(${benchmark_name} PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                   ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
  target_compile_definitions(${benchmark_name} PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
  target_clang_tidy(${benchmark_name} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
  target_cxx_version(${benchmark_name} PRIVATE VERSION ${TESSERACT_CXX_VERSION})
  target_link_libraries(
    ${benchmark_name}
    benchmark::benchmark
    ${PROJECT_NAME}_core
    ${PROJECT_NAME}_ofkt
    tesseract::tesseract_urdf
    tesseract::tesseract_support
    console_bridge
    ${Boost_LIBRARIES})
  target_include_directories(${benchmark_name} PRIVATE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")
  add_run_benchmark_target(${benchmark_name})
endmacro()

add_benchmark(${PROJECT_NAME}_clone_benchmark environment_clone_benchmarks.cpp)

=== debian/changelog ===
ros-noetic-tesseract-environment (0.4.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sat, 24 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-environment (0.4.0-1buster) buster; urgency=high

  * Update tesseract_srdf to leverage nested exceptions
  * Move srdf code to its own package tesseract_srdf
  * Move printNestedException and leverage forward declarations for tesseract_urdf
  * Do not catch exception in parseURDFString and parseURDFFile
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 23 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-environment (0.3.1-1buster) buster; urgency=high

  * Move tesseract_variables() before any use of custom macros
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 14 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-environment (0.3.0-1buster) buster; urgency=high

  * Only enable code coverage if compiler definition is set
  * Fix issue in trajectory player setCurrentDuration not handling finished bool
  * Fix bullet broadphase when new links are added
  * Debug unit test
  * Add cmake format
  * Add support for defining collision margin data in SRDF (#573 <https://github.com/ros-industrial-consortium/tesseract/issues/573>)
  * Use boost targets, add cpack and license file (#572 <https://github.com/ros-industrial-consortium/tesseract/issues/572>)
  * Fix the way in which Eigen is included (#570 <https://github.com/ros-industrial-consortium/tesseract/issues/570>)
  * Add libomp-dev as test_depend to tesseract_environment and tesseract_collision
  * Add multithreaded environment unit test
  * Fix mutex locking bug in environment applyCommands
  * Add ability to construct ROP and REP kinematic solver with different solver names
  * Contributors: Hervé Audren, Levi Armstrong, Matthew Powelson

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 09 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-environment (0.2.0-1buster) buster; urgency=high

  * Add ability to replace link and joint pair where the link is the child link of joint
  * Improve clone cache unit tests and fix issues with getting clone
  * Add manipulator manager unit tests
  * Add support for replacing links and joints
  * Rename AddCommand to AddLinkCommand
  * Update environment to leverage shared mutex
  * Improve unit test coverage and registar FCL as an available contact manager
  * Update StateSolver init to take a revision number
  * Fix mutex dead lock in tesseract environment
  * Switch addJoint, addLink, moveLink and addSceneGraph to use const&
  * Improve tesseract_environment unit test coverage
  * Refactor tesseract_environment to use applyCommands
  * tesseract_environement: Improve documentation
  * Update cmake_common_scripts to ros_industrial_cmake_boilerplate
  * Move all directories in tesseract directory up one level
  * Contributors: Levi Armstrong, Thomas Kostas

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 17 Feb 2021 06:00:00 -0000

ros-noetic-tesseract-environment (0.1.0-1buster) buster; urgency=high

  * Add tesseract_environment package
  * Create tesseract_environment and semi-isolate
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Dec 2020 06:00:00 -0000

=== debian/control ===
Source: ros-noetic-tesseract-environment
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev, libomp-dev, liborocos-kdl-dev, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-support, ros-noetic-tesseract-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-environment
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, liborocos-kdl-dev, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-urdf
Description: The tesseract_environment package contains environment

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tesseract-environment//opt/ros/noetic/lib/:$(CURDIR)/debian/ros-noetic-tesseract-environment//opt/ros/noetic/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-tesseract-environment 0.18.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)

# Extract package name and version
find_package(ros_industrial_cmake_boilerplate REQUIRED)
extract_package_metadata(pkg)
project(${pkg_extracted_name} VERSION ${pkg_extracted_version} LANGUAGES CXX)

if(WIN32)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# System dependencies are found with CMake's conventions
find_package(Eigen3 REQUIRED)
find_package(console_bridge REQUIRED)
find_package(tesseract_collision REQUIRED)
find_package(tesseract_kinematics REQUIRED)
find_package(tesseract_scene_graph REQUIRED)
find_package(tesseract_state_solver REQUIRED)
find_package(tesseract_srdf REQUIRED)
find_package(tesseract_urdf REQUIRED)
find_package(tesseract_common REQUIRED)

if(NOT TARGET console_bridge::console_bridge)
  add_library(console_bridge::console_bridge INTERFACE IMPORTED)
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                  ${console_bridge_INCLUDE_DIRS})
  set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_LINK_LIBRARIES ${console_bridge_LIBRARIES})
else()
  get_target_property(CHECK_INCLUDE_DIRECTORIES console_bridge::console_bridge INTERFACE_INCLUDE_DIRECTORIES)
  if(NOT ${CHECK_INCLUDE_DIRECTORIES})
    set_target_properties(console_bridge::console_bridge PROPERTIES INTERFACE_INCLUDE_DIRECTORIES
                                                                    ${console_bridge_INCLUDE_DIRS})
  endif()
endif()

# Load variable for clang tidy args, compiler options and cxx version
tesseract_variables()

initialize_code_coverage(ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
set(COVERAGE_EXCLUDE
    /usr/*
    /opt/*
    ${CMAKE_CURRENT_LIST_DIR}/test/*
    /*/gtest/*
    /*/bullet/LinearMath/*
    /*/bullet/BulletCollision/*)
add_code_coverage_all_targets(EXCLUDE ${COVERAGE_EXCLUDE} ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})

# Create interface for core
add_library(${PROJECT_NAME} src/environment.cpp src/environment_cache.cpp src/utils.cpp)
target_link_libraries(
  ${PROJECT_NAME}
  PUBLIC Eigen3::Eigen
         tesseract::tesseract_common
         tesseract::tesseract_collision_core
         tesseract::tesseract_scene_graph
         tesseract::tesseract_state_solver_ofkt
         tesseract::tesseract_srdf
         tesseract::tesseract_urdf
         tesseract::tesseract_kinematics_core
         ${PROJECT_NAME}_commands)
target_compile_options(${PROJECT_NAME} PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                  "$<INSTALL_INTERFACE:include>")

# Create interface for core
add_library(
  ${PROJECT_NAME}_commands
  src/command.cpp
  src/commands/add_contact_managers_plugin_info_command.cpp
  src/commands/add_kinematics_information_command.cpp
  src/commands/add_link_command.cpp
  src/commands/add_scene_graph_command.cpp
  src/commands/add_trajectory_link_command.cpp
  src/commands/change_collision_margins_command.cpp
  src/commands/change_joint_acceleration_limits_command.cpp
  src/commands/change_joint_origin_command.cpp
  src/commands/change_joint_position_limits_command.cpp
  src/commands/change_joint_velocity_limits_command.cpp
  src/commands/change_link_collision_enabled_command.cpp
  src/commands/change_link_origin_command.cpp
  src/commands/change_link_visibility_command.cpp
  src/commands/modify_allowed_collisions_command.cpp
  src/commands/move_joint_command.cpp
  src/commands/move_link_command.cpp
  src/commands/remove_allowed_collision_link_command.cpp
  src/commands/remove_joint_command.cpp
  src/commands/remove_link_command.cpp
  src/commands/replace_joint_command.cpp
  src/commands/set_active_continuous_contact_manager_command.cpp
  src/commands/set_active_discrete_contact_manager_command.cpp)
target_link_libraries(
  ${PROJECT_NAME}_commands
  PUBLIC Eigen3::Eigen
         tesseract::tesseract_common
         tesseract::tesseract_collision_core
         tesseract::tesseract_scene_graph
         tesseract::tesseract_state_solver_ofkt
         tesseract::tesseract_srdf
         tesseract::tesseract_urdf
         tesseract::tesseract_kinematics_core)
target_compile_options(${PROJECT_NAME}_commands PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE})
target_compile_options(${PROJECT_NAME}_commands PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_commands PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_commands ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_commands PUBLIC VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_commands
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
target_include_directories(${PROJECT_NAME}_commands PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                           "$<INSTALL_INTERFACE:include>")

configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_commands)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}
  DESTINATION include
  FILES_MATCHING
  PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

if(TESSERACT_ENABLE_TESTING OR TESSERACT_ENVIRONMENT_ENABLE_TESTING)
  enable_testing()
  add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
  add_subdirectory(test)
endif()

if(TESSERACT_ENABLE_BENCHMARKING OR TESSERACT_ENVIRONMENT_ENABLE_BENCHMARKING)
  add_subdirectory(test/benchmarks)
endif()

if(TESSERACT_PACKAGE)
  tesseract_cpack(
    VERSION ${pkg_extracted_version}
    MAINTAINER <https://github.com/ros-industrial-consortium/tesseract>
    DESCRIPTION ${pkg_extracted_description}
    LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
    README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
    LINUX_DEPENDS
      "libconsole-bridge-dev"
      "libeigen3-dev"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-collision"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-geometry"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-kinematics"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-state-solver"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-urdf"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-srdf"
    WINDOWS_DEPENDS
      "console_bridge"
      "Eigen3"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-collision"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-geometry"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-kinematics"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-scene-graph"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-state-solver"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-common"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-urdf"
      "${TESSERACT_PACKAGE_PREFIX}tesseract-srdf")
endif()

=== test/CMakeLists.txt ===
find_gtest()
find_package(tesseract_support REQUIRED)
find_package(OpenMP REQUIRED)
if(NOT TARGET OpenMP::OpenMP_CXX)
  find_package(Threads REQUIRED)
  add_library(OpenMP::OpenMP_CXX IMPORTED INTERFACE)
  set_property(TARGET OpenMP::OpenMP_CXX PROPERTY INTERFACE_COMPILE_OPTIONS ${OpenMP_CXX_FLAGS})
  # Only works if the same flag is passed to the linker; use CMake 3.9+ otherwise (Intel, AppleClang)
  set_property(TARGET OpenMP::OpenMP_CXX PROPERTY INTERFACE_LINK_LIBRARIES ${OpenMP_CXX_FLAGS} Threads::Threads)
endif()

add_executable(${PROJECT_NAME}_unit tesseract_environment_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          OpenMP::OpenMP_CXX
          tesseract::tesseract_support
          tesseract::tesseract_urdf
          tesseract::tesseract_collision_bullet
          tesseract::tesseract_collision_fcl
          tesseract::tesseract_scene_graph)
target_compile_options(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_unit)
add_dependencies(${PROJECT_NAME}_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_unit)

add_executable(${PROJECT_NAME}_collision tesseract_environment_collision.cpp)
target_link_libraries(
  ${PROJECT_NAME}_collision
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_collision PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                         ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_collision PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_collision ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_collision PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_collision
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_collision)
add_dependencies(${PROJECT_NAME}_collision ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_collision)

add_executable(${PROJECT_NAME}_utils tesseract_environment_utils.cpp)
target_link_libraries(
  ${PROJECT_NAME}_utils
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_utils PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                     ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_utils PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_utils ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_utils PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_utils
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_utils)
add_dependencies(${PROJECT_NAME}_utils ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_utils)

# Serialization Tests
add_executable(${PROJECT_NAME}_serialization_unit tesseract_environment_serialization_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          ${PROJECT_NAME}_commands
          tesseract::tesseract_common
          tesseract::tesseract_support
          tesseract::tesseract_urdf)
target_compile_options(${PROJECT_NAME}_serialization_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                                  ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_clang_tidy(${PROJECT_NAME}_serialization_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_serialization_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_serialization_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_serialization_unit)
add_dependencies(${PROJECT_NAME}_serialization_unit ${PROJECT_NAME}_commands)
add_dependencies(run_tests ${PROJECT_NAME}_serialization_unit)

add_executable(${PROJECT_NAME}_cache_unit tesseract_environment_cache_unit.cpp)
target_link_libraries(
  ${PROJECT_NAME}_cache_unit
  PRIVATE GTest::GTest
          GTest::Main
          ${PROJECT_NAME}
          tesseract::tesseract_support)
target_compile_options(${PROJECT_NAME}_cache_unit PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                          ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
target_compile_definitions(${PROJECT_NAME}_cache_unit PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
target_clang_tidy(${PROJECT_NAME}_cache_unit ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
target_cxx_version(${PROJECT_NAME}_cache_unit PRIVATE VERSION ${TESSERACT_CXX_VERSION})
target_code_coverage(
  ${PROJECT_NAME}_cache_unit
  PRIVATE
  ALL
  EXCLUDE ${COVERAGE_EXCLUDE}
  ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
add_gtest_discover_tests(${PROJECT_NAME}_cache_unit)
add_dependencies(${PROJECT_NAME}_cache_unit ${PROJECT_NAME})
add_dependencies(run_tests ${PROJECT_NAME}_cache_unit)

=== test/benchmarks/CMakeLists.txt ===
--- 
+++ 
@@ -7,19 +7,20 @@
   target_compile_options(${benchmark_name} PRIVATE ${TESSERACT_COMPILE_OPTIONS_PRIVATE}
                                                    ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
   target_compile_definitions(${benchmark_name} PRIVATE ${TESSERACT_COMPILE_DEFINITIONS})
-  target_clang_tidy(${benchmark_name} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+  target_clang_tidy(${benchmark_name} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
   target_cxx_version(${benchmark_name} PRIVATE VERSION ${TESSERACT_CXX_VERSION})
   target_link_libraries(
     ${benchmark_name}
     benchmark::benchmark
-    ${PROJECT_NAME}_core
-    ${PROJECT_NAME}_ofkt
+    ${PROJECT_NAME}
     tesseract::tesseract_urdf
     tesseract::tesseract_support
     console_bridge
     ${Boost_LIBRARIES})
   target_include_directories(${benchmark_name} PRIVATE "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")
   add_run_benchmark_target(${benchmark_name})
+  add_dependencies(${benchmark_name} ${PROJECT_NAME})
 endmacro()
 
 add_benchmark(${PROJECT_NAME}_clone_benchmark environment_clone_benchmarks.cpp)
+add_benchmark(${PROJECT_NAME}_check_trajectory check_trajectory_benchmarks.cpp)

=== debian/changelog ===
ros-noetic-tesseract-environment (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.18.0-1focal) focal; urgency=high

  * Update kinematics group inverse kinematics to harmonize within joint limits (#899 <https://github.com/tesseract-robotics/tesseract/issues/899>)
  * Trajectory logging fixup (#908 <https://github.com/tesseract-robotics/tesseract/issues/908>)
  * Improve Trajectory Collision Logging (#765 <https://github.com/tesseract-robotics/tesseract/issues/765>)
  * Add package cmake flags for testing, examples and benchmarks
  * Contributors: John Wason, Levi Armstrong, Tyler Marr

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.17.0-1focal) focal; urgency=high

  * Windows updates (#893 <https://github.com/tesseract-robotics/tesseract/issues/893>)
  * Fix check trajectory print statements (#892 <https://github.com/tesseract-robotics/tesseract/issues/892>)
  * implemented benchmarking for checking trajectories (#887 <https://github.com/tesseract-robotics/tesseract/issues/887>)
  * Contributors: John Wason, Levi Armstrong, Tyler Marr

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.2-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.1-1focal) focal; urgency=high

  * Add unit tests to cover new addTrajectoryLinkCommand
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.16.0-1focal) focal; urgency=high

  * Improve collision code coverage
  * Add ContactResultMap shrinkToFit and CollisionCheckProgramType
  * Add AddTrajectoryLinkCommand
  * General cleanup of commands moving things to cpp
  * Add contact results class
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.2-1focal) focal; urgency=high

  * Switch include in tesseract_collision
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-environment (0.15.0-1focal) focal; urgency=high

  * Improve tesseract_environment code coverage
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-environment (0.14.0-1focal) focal; urgency=high

  * Add modify allowed collisions command
  * Add forgotten source file extension to CMakeLists.
  * Fix issue where cache is emptied by other threads after refresh causing segfault when popping environment on empty queue
  * Add EnvironmentCache and DefaultEnvironmentCache
  * Including <boost/serialization/library_version_type.hpp> for Boost 1.74. Fixes tesseract-robotics/tesseract#764 <https://github.com/tesseract-robotics/tesseract/issues/764>
  * Contributors: Levi Armstrong, Roelof Oomen

 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.13.1-1focal) focal; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.11-1focal) focal; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.10-1focal) focal; urgency=high

  * Make missing contact manager plugins a debug vs warn message
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.9-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.8-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.7-1focal) focal; urgency=high

  * Add environment discrete_manager_mutex_ and continuous_manager_mutex_
  * Allow not providing contact manager plugins
  * Add the ability to set the environment discrete and continuous manager to nullptr to save space when needed
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.6-1focal) focal; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-environment (0.9.5-1focal) focal; urgency=high





=== debian/control ===
Source: ros-noetic-tesseract-environment
Section: misc
Priority: optional
Maintainer: Levi Armstrong <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libconsole-bridge-dev, libeigen3-dev, libgtest-dev <!nocheck>, libomp-dev <!nocheck>, ros-noetic-ros-industrial-cmake-boilerplate, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-srdf, ros-noetic-tesseract-state-solver, ros-noetic-tesseract-support <!nocheck>, ros-noetic-tesseract-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tesseract-environment
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, libeigen3-dev, ros-noetic-tesseract-collision, ros-noetic-tesseract-common, ros-noetic-tesseract-geometry, ros-noetic-tesseract-kinematics, ros-noetic-tesseract-scene-graph, ros-noetic-tesseract-srdf, ros-noetic-tesseract-state-solver, ros-noetic-tesseract-urdf
Description: The tesseract_environment package contains environment

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,17 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
 
 # Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
 export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -31,7 +36,8 @@
 	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
